Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002080KdenliveFile Loadingpublic2011-03-28 22:512011-11-01 18:56
Reporterpablanche 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionno change required 
PlatformHP Elitebook 8540pOSLinux (x86_64) release 2.6.35-28OS VersionUbuntu 10.10
Product Version 
Target VersionFixed in Version0.8.2 
Summary0002080: clip missing or invalid remove from project
DescriptionI have used Kdenlive 0.7.8 4.5.1 (KDE 4.5.1), Kubuntu packages successfully until this Monday morning 03/28/11.

The error message when I try to import a video clip is that the clip is invalid or missing though they play well with movie player. I tried with .mov and .mp4, that has been used flawlessly in the past with kdenlive, same problem.


Steps To ReproduceImport a video clip in Kdenlive.
Additional InformationLooking in the forum, I found an old issue with ffmpeg:
http://www.kdenlive.org/forum/clips-missing-or-invalid-slackware-131 [^]

Looking at my version of ffmpeg, it is 0.6.2 built on March 26 2011 (i.e. 2 days ago). So I suspect the same incompatibility.
TagsNo tags attached.
Build/Install MethodDistribution package
Attached Files

- Relationships

-  Notes
(0006635)
pablanche (reporter)
2011-03-28 22:54

OK just realize it is the same as bug report 0002079.
(0006653)
pablanche (reporter)
2011-04-12 20:49

I solved the issue and the kdenlive error was just the tip of the iceberg:

Things indeed began when the 0.6.2 version of ffmpeg was automatically installed by the update manager (03/26/2011). Kdenlive was no more able to upload any video clips. However, at that moment, avi and mp4 were still playing in movie player.

Then I had to convert a mp4 to avi and since kdenlive was not working anymore, I installed Avidemux GTK+. During the installation I had dependency error with Gstreamer and ffmpeg. I tried for a while to resolve the dependency problem but it get worst and worst each time (Liborc-0.4-0, ...). I tried reinstalling Ubuntu through the terminal, but even though Ubuntu looked fine, it did not resolve the dependency.

So I decide to refresh my source list file (/etc/apt/sources.list) using the Ubuntu Source List Generator: http://repogen.simplylinux.ch/generate.php, [^] and that did it. It not only solved all the dependency problem between Gstreamer and ffmpeg but also solved the Kdenlive issue.

Everything fine now, even if I do not really understand what happened.
(0006673)
ttill (developer)
2011-04-27 23:31

You updated ffmpeg but MLT was not recompiled against it and since things change quit often in ffmpeg MLT wasn't able to get along with your new version of ffmpeg...

- Issue History
Date Modified Username Field Change
2011-03-28 22:51 pablanche New Issue
2011-03-28 22:54 pablanche Note Added: 0006635
2011-04-12 20:49 pablanche Note Added: 0006653
2011-04-27 23:31 ttill Note Added: 0006673
2011-04-27 23:31 ttill Status new => resolved
2011-04-27 23:31 ttill Resolution open => no change required
2011-07-05 12:15 j-b-m Fixed in Version => 0.8.2
2011-11-01 18:56 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker